Subject: [PATCH 3/6] OMAP4: hwmod data: add mmu hwmod for ducati and tesla

From: [email-masked] (Cousson, Benoit)
Date: Tue, 9 Nov 2010 01:03:15 +0100

On 11/9/2010 12:48 AM, Ramirez Luna, Omar wrote:
> On Mon, Nov 8, 2010 at 5:21 PM, Cousson, Benoit<[email-masked]>  wrote:
>>> I wrote this one from scratch, I didn't see that there were pieces to
>>> handle some stuff since the code is buried in a private tree.
>>
>> Not true at all... It was sent to l-o:
>> http://www.mail-archive.com/linux-omap at vger.kernel.org/msg32854.html
>
> I did review v3 of this patch set, care to point the exact place for
> mmu hwmod on this patch set. It seems [v2 5/7] had mailbox, but I
> don't think v3 made it to the list.

The patch itself may did not reach the list due to his size, that's why 
I added the link to the GIT.

Both dsp and ipu contain the mmu + cache related information.

static struct omap_hwmod omap44xx_dsp_hwmod
static struct omap_hwmod omap44xx_ipu_hwmod

At that time I didn't know how that stuff was supposed to be used by the 
driver. I already changed the structure a little bit based on Hari's 
comment, so if you do need mmu entry only, since that structure seems to 
handle only that, it might makes sense to rename them in order to 
consider them part of the mmu class.
It should be then mmu_dsp and mmu_ipu, because in that case, it will 
represent the mmu class instances for the dsp and the ipu.

I'm perfectly fine to update that part if needed.

Regards,
Benoit

>> And stored in a supposedly private tree, which appears to be public:
>> http://dev.omapzoom.org/?p=swarch/linux-omap-adv.git;a=summary
>
> I took whatever was in:
>
> http://dev.omapzoom.org/?p=integration/kernel-omap4.git;a=shortlog;h=refs/heads/L24.11

>
>> Please do not do any change on that code base, just use the original code
>> and update it if needed.
>
> Will do, as taken from the tree you mention.
>
> Regards,
>
> Omar